
/*
For convenience, here's a few lines on which to do "Command-Enter" in Pe
(first line will have to be edited of course):

INIT:
cd /boot/home/_develop/test-case_ticket-6963

BUILD:
gcc -c -o Application.o -I. Application.cpp
gcc  -o TuneStacker  Application.o lib/KISSlib.so -lbe -ltranslation  
xres -o TuneStacker TuneStacker.rsrc 

Exec:
./TuneStacker

	--> Boom, on execution TuneStacker segfaults with this gdb output:
		[Switching to team ./TuneStacker (1832) thread TuneStacker (1832)] 
		0x005259f0 in __class_type_info::dcast () from /boot/system/lib/libroot.so 

*/


// libroot.so
#include <stdio.h>

// libbe.so
#include <interface/Bitmap.h>
#include <interface/Button.h>
#include <interface/Window.h>
#include <storage/Path.h>

// libtranslation.so
#include <translation/TranslationUtils.h>
#include <translation/TranslatorFormats.h>

// kisslib.so

// project
#include "Application.h"





	static BBitmap * background_infography_;
	static BBitmap * green_slice_;
	static BBitmap * yellow_slice_;
	static BBitmap * red_slice_;


Application::Application()
:	BApplication("application/x-vnd.flipsidesoftware.TS2")
{
}


int main()
{
	puts("main()");

//	new Application();
	//be_app->Run();
	//delete be_app;
	
	// Apparently an app is required to enable BTranslationUtils (and its
	// EXR translator exception problem) otherwise we fail an assert:
	Application app;

	if( ! background_infography_ )
		background_infography_ = BTranslationUtils::GetBitmap(
			B_PNG_FORMAT,
			"ProgressBackground.png"
			);
	if( ! green_slice_ )
		green_slice_ = BTranslationUtils::GetBitmap(
			B_PNG_FORMAT,
			"ProgressSliceGreen.png"
			);
	if( ! yellow_slice_ )
		yellow_slice_ = BTranslationUtils::GetBitmap(
			B_PNG_FORMAT,
			"ProgressSliceYellow.png"
			);
	if( ! red_slice_ )
		red_slice_ = BTranslationUtils::GetBitmap(
			B_PNG_FORMAT,
			"ProgressSliceRed.png"
			);
}



